Cette rubrique explique comment envoyer quelques requêtes simples à l'API Cloud Billing.
Pour obtenir la liste complète des méthodes, consultez la documentation de référence concernant REST ou RPC.
Avant de commencer
- Connectez-vous à votre Google Cloud compte. Si vous débutez sur Google Cloud, créez un compte pour évaluer les performances de nos produits en conditions réelles. Les nouveaux clients bénéficient également de 300 $de crédits sans frais pour exécuter, tester et déployer des charges de travail.
-
In the Google Cloud console, on the project selector page, select or create a Google Cloud project.
Roles required to select or create a project
- Select a project: Selecting a project doesn't require a specific IAM role—you can select any project that you've been granted a role on.
-
Create a project: To create a project, you need the Project Creator role
(
roles/resourcemanager.projectCreator), which contains theresourcemanager.projects.createpermission. Learn how to grant roles.
-
Verify that billing is enabled for your Google Cloud project.
Enable the Cloud Billing API.
Roles required to enable APIs
To enable APIs, you need the Service Usage Admin IAM role (
roles/serviceusage.serviceUsageAdmin), which contains theserviceusage.services.enablepermission. Learn how to grant roles.-
Create a service account:
-
Ensure that you have the Create Service Accounts IAM role
(
roles/iam.serviceAccountCreator) and the Project IAM Admin role (roles/resourcemanager.projectIamAdmin). Learn how to grant roles. -
In the Google Cloud console, go to the Create service account page.
Go to Create service account - Select your project.
-
In the Service account name field, enter a name. The Google Cloud console fills in the Service account ID field based on this name.
In the Service account description field, enter a description. For example,
Service account for quickstart. - Click Create and continue.
-
Grant the Project > Owner role to the service account.
To grant the role, find the Select a role list, then select Project > Owner.
- Click Continue.
-
Click Done to finish creating the service account.
Do not close your browser window. You will use it in the next step.
-
Ensure that you have the Create Service Accounts IAM role
(
-
Create a service account key:
- In the Google Cloud console, click the email address for the service account that you created.
- Click Keys.
- Click Add key, and then click Create new key.
- Click Create. A JSON key file is downloaded to your computer.
- Click Close.
-
Set the environment variable
GOOGLE_APPLICATION_CREDENTIALSto the path of the JSON file that contains your credentials. This variable applies only to your current shell session, so if you open a new session, set the variable again. -
In the Google Cloud console, on the project selector page, select or create a Google Cloud project.
Roles required to select or create a project
- Select a project: Selecting a project doesn't require a specific IAM role—you can select any project that you've been granted a role on.
-
Create a project: To create a project, you need the Project Creator role
(
roles/resourcemanager.projectCreator), which contains theresourcemanager.projects.createpermission. Learn how to grant roles.
-
Verify that billing is enabled for your Google Cloud project.
Enable the Cloud Billing API.
Roles required to enable APIs
To enable APIs, you need the Service Usage Admin IAM role (
roles/serviceusage.serviceUsageAdmin), which contains theserviceusage.services.enablepermission. Learn how to grant roles.-
Create a service account:
-
Ensure that you have the Create Service Accounts IAM role
(
roles/iam.serviceAccountCreator) and the Project IAM Admin role (roles/resourcemanager.projectIamAdmin). Learn how to grant roles. -
In the Google Cloud console, go to the Create service account page.
Go to Create service account - Select your project.
-
In the Service account name field, enter a name. The Google Cloud console fills in the Service account ID field based on this name.
In the Service account description field, enter a description. For example,
Service account for quickstart. - Click Create and continue.
-
Grant the Project > Owner role to the service account.
To grant the role, find the Select a role list, then select Project > Owner.
- Click Continue.
-
Click Done to finish creating the service account.
Do not close your browser window. You will use it in the next step.
-
Ensure that you have the Create Service Accounts IAM role
(
-
Create a service account key:
- In the Google Cloud console, click the email address for the service account that you created.
- Click Keys.
- Click Add key, and then click Create new key.
- Click Create. A JSON key file is downloaded to your computer.
- Click Close.
-
Set the environment variable
GOOGLE_APPLICATION_CREDENTIALSto the path of the JSON file that contains your credentials. This variable applies only to your current shell session, so if you open a new session, set the variable again.
Obtenir la liste des comptes Cloud Billing
La méthode API proposée pour répertorier tous les comptes Cloud Billing (REST, RPC) est la méthode la plus simple, car elle ne requiert aucun paramètre. Il s'agit donc d'un bon point de départ. Elle renvoie tous les comptes de facturation que vous êtes autorisé à consulter.
Protocole
GET https://cloudbilling.googleapis.com/v1/billingAccounts
Java
ListBillingAccountsResponse result = service.billingAccounts().list().execute();
Récupérer un compte de facturation Cloud
Pour récupérer un compte de facturation spécifique (REST, RPC), vous devez connaître l'ID de ce compte. Ci-dessous, nous utilisons l'exemple d'ID suivant : 012345-567890-ABCDEF.
Protocole
GET https://cloudbilling.googleapis.com/v1/billingAccounts/012345-567890-ABCDEF
Java
BillingAccount result = service.billingAccounts() .get("billingAccounts/00C5EA-61187E-D842F2").execute();
Activer Cloud Billing sur un Google Cloud projet
Pour activer Cloud Billing sur un Google Cloud projet, vous devez appeler l'API Cloud Billing pour
associer le Google Cloud projet à un compte de facturation Cloud existant
(REST, RPC).
L'exemple de code suivant associe le Google Cloud projet tokyo-rain-123 au
compte de facturation Cloud 012345-567890-ABCDEF. Vous pouvez appliquer la même méthode API
pour désactiver Cloud Billing sur un Google Cloud projet, en laissant le champ billingAccountName vide.
Protocole
PUT https://cloudbilling.googleapis.com/v1/projects/tokyo-rain-123/billingInfo
{
"billingAccountName": "billingAccounts/012345-567890-ABCDEF"
}Java
service.projects().updateBillingInfo(
"projects/tokyo-rain-123",
new ProjectBillingInfo().setBillingAccountName("billingAccounts/012345-567890-ABCDEF"))
.execute();Effectuer un nettoyage
- Dans la Google Cloud console, accédez à la page Gérer les ressources.
- Dans la liste des projets, sélectionnez le projet que vous souhaitez supprimer, puis cliquez sur Supprimer.
- Dans la boîte de dialogue, saisissez l'ID du projet, puis cliquez sur Arrêter pour supprimer le projet.